/* ----------------------------------------------------------------------------------------------------
* 拍卖专用函数
* ----------------------------------------------------------------------------------------------------
*/



var QueuedHandler = function(){
};
QueuedHandler.prototype = {
	request:function(options){
		var that = this;
		cComplete = options.complete;
		options.complete = function (XMLHttpRequest, textStatus) {
			if(cComplete!=null){
				cComplete(XMLHttpRequest, textStatus);
			}
			$(that).dequeue();
		} 
		options.async = true;
		$(this).queue(function(){
			$.ajax(options);
		});
	}
};



var QueueFactory = new QueuedHandler();
//显示大图
$(document).ready(function(){
	$("#proImage img").not(":first").hide();
	$("#proThumbnail a").click(function(){
		if ($("#" + this.rel).is(":hidden"))
		{
			$("#proImage img").slideUp();
			$("#" + this.rel).slideDown();
		}
	}).focus(function(){
		$(this).blur();
	});
});



/* 初始化拍卖的变量 */
function inibid(v)
{
	if(v!=''){//有些页面可能没有正在拍卖的产品
		ids=v.split(",");
		for( var i=0; i<ids.length;i++)
		{
			window._BID[ids[i]]=new Array();//没有定义下面就没办法定义了
			window._BID[ids[i]][0]=new Array();//我定义的当前拍卖任务的id
			window._BID[ids[i]][1]=new Array();//我定义的拍卖的状态的变量
			window._BID[ids[i]][2]=new Array();//我定义的最后拍卖人的变量
			window._BID[ids[i]][3]=new Array();//我定义的是否已换人了
			window._BID[ids[i]][4]=new Array();//我定义的保价
			//[ids[i],'$countticks','$price','$status','$savingprice','$strLastoptime','$lastopplayer','$lastopid'];//json返回的数据格式
			window._BID[ids[i]][0]=ids[i];
			window._BID[ids[i]][1]='0';
			window._BID[ids[i]][2]='';
			window._BID[ids[i]][3]=1;
			window._BID[ids[i]][4]='';
			//alert(_BID[ids[i]]);
		}

		startbid();

		//拍卖的按钮
		/*
		$(".bidbutton").mouseover(function(){
			var islogin=getCookie('islogin');
			if(!islogin){
				$(this).text('登 录');
			}
		});
		$(".bidbutton").mouseout(function(){
			var islogin=getCookie('islogin');
			if(!islogin){
				$(this).text('出 价');
			}
		});
		$(".bidbutton").click(function(){
			var d=$(this).attr("id");
			var t=$(this).attr("title");
			
			var islogin=getCookie('islogin');
			if(!islogin){
				loadloginbox();
			}else{
				if(bid(d,t)){//响应出价的函数
					$(this).text('出 价');
				}
			}
		});
*/

		//保价的按钮
		$(".buynow").mouseover(function(){
			//alert($(this).attr("id"));
			var islogin=getCookie('islogin');
			if(!islogin){
				$(this).text('请先登录');
			}
		});
		$(".buynow").mouseout(function(){
			var islogin=getCookie('islogin');
			if(!islogin){
				$(this).text('保价购买');
			}
		});
		$(".buynow").click(function(){
			var islogin=getCookie('islogin');
			var d=$(this).attr("alt");
			/**/
			if(!islogin){
				loadloginbox();
			}else{
				if(buynow(d)){//响应出价的函数
					$(this).text('保价购买');
				}
			}
		});
		
		
		/*20101121*/
		//拍卖的按钮
		$(".bidbutton").click(function(){
			var d=$(this).attr("id");
			var t=$(this).attr("title");
			
			var islogin=getCookie('islogin');
			if(!islogin)
			{
				//弹出框
				AjaxLoginBox();
				//loadloginbox();
			}else{
				if(bid(d,t)){//响应出价的函数
					//$(this).text('出 价');
				}
			}
		});
		return true;
	}

}


/*以ajax的形式发送请求*/
//array($tid,$countticks,$price,$status,$savingprice,$strLastoptime,$lastopplayer,$lastopid);
//$tid=>d[0],$countticks=>d[1],$price=>d[2],$status=>d[3],$savingprice=>d[4],$strLastoptime=>d[5],$lastopplayer=>d[6],$lastopid=>d[7]
function startbid()
{

try
{

	//alert("|"+Per_host+"/thread.aspx?s="+inibidjs);
	var objTimer=null;
	if(window.inibidjs==''){//如果没有值则不进行ajax的处理
		return false;
	}
	QueueFactory.request({
	//$.ajax({
		type: "GET",
		dataType: "json",
		timeout: _ajaxtimeout,//超时
		url: Per_host+"/thread.aspx?s=/INDEX/index",///tid/"+inibidjs,
		//url: Per_host+"/thread.aspx?s="+inibidjs,
		data:{"tid":inibidjs,"t":new Date().getTime()},
		success: function(dt){
			if(dt!=null && dt.length>0)
			{
				try
				{
					$.each(dt,function(i,n){
						var d=eval(n);
						var id=d[0];//id值
						dobider(id,d[6],d[7],d[8]);	//刷新拍卖人
						doprice(id,d[2]);		//处理价格
						//dotime(id,d[1]);		//处理时间
						dotime(id,d[5]);		//处理时间
						dosave(id,d[4],d[2]);	//处理节省
						dostatus(id,d[3]);		//处理状态
						//window.status = id + "/" + d[6] + "+" + d[7];
					});
				}
				catch(se)
				{
					//window.status  = se.message;
				}
			}
		},
		error:function(dt)
		{
			//window.status=("error:"+dt.responseText);
		}
	});

	if(objTimer!=null){
		window.clearTimeout(objTimer);
	}//清除上一个
	
	
	//objTimer=window.setTimeout("startbid()",1000);
		//调度下一个
		

	if(window.isfoucs==1){//如果当前页面不是在激活的状态
		objTimer=window.setTimeout("startbid()",1000);//调度下一个
	}else{
		objTimer=window.setTimeout("startbid()",1000);//调度下一个
	}	

}
catch(e)
{}

}

/*处理状态*/
function dostatus(id,v){
	var bidNo=window.inibidjs;
	var ids=bidNo.split(",");
	//判断状态1为完成，9为已完成但还没生成订单
	//if(v=='1' || v=='9')
	if(v=='3' || v=='9') //本处，3表示竞拍成功。
	{
		//window._BID[id][1]='1';
		window._BID[id][1]='3';
		dostopstyle(id);//完成状态统一处理
		clearbid(id);//减少一个变量
	}
}

/*处理是否同一个人*/
function dobider(id,v,mid,headImg){

try
{
	if(!mid) mid = "";
	//else mid = parseInt(mid,10);
	 
	//ZD ADD 2010-09-04 
	//if(!window._BID[id]) return ;
	//if(!window._BID[id][2]) return ; //ZD ADD 2010-09-04
		
	var t=window._BID[id][2];
	window._BID[id][2]=v;

	if(v!='' )
	//if(mid>0)
	{
		//处理没有人拍卖的情况下的表现形式
		$("#bidder_"+id).text(v);
		$("#bidder_"+id).attr("target","_blank");
		$("#bidder_"+id).attr("title","去看看"+v);
		if($("#bidder_icon_"+id).length>0)
		{
			$("#bidder_icon_"+id).html('<img src="'+ headImg +'" style="width:50px;height:50px" />');
			$("#bidder_icon_"+id).attr("target","_blank");
			$("#bidder_icon_"+id).attr("title","去看看"+v);
		}
	}
	else
	{
		//处理有拍卖人的情况下的表现形式
	
		$("#bidder_"+id).text('----');
		$("#bidder_"+id).attr("title","暂无用户竞拍");
		$("#bidder_icon_"+id).html('<img src="/Public/Userlogos/user/s/userDefaultIcon.jpg" style="width:50px;height:50px"  />');
	}
	
	if(t==v && window._BID[id][3])//ZD ADD 2010-09-04
	{ 
		window._BID[id][3]='1';//如果值相同则为1
	}
	else if(t=='' && window._BID[id][3])//ZD ADD 2010-09-04
	{ 
		window._BID[id][3]='0';//专门处理防止一开始闪一下子
	}
	else
	{
		//动画显示价格改变效果。同一个人不换色/不同人则换一下色
		$("#price_"+id).highlightFade({
			color:'red',
			speed:800
		});
		if(window._BID[id][3]) //ZD ADD 2010-09-04
			window._BID[id][3]='0';
	}
}
catch(e)
{}
	
}

/*处理价格*/
function doprice(id,v){

try
{
	v=Ftmath(v);
	$("#price_"+id).text("￥"+v);
	
	//if(!window._BID[id] || !(window._BID[id][3]) )	return false; //ZD ADD 2010-09-04
	if(window._BID[id][3]=='0') //是否换人？？。
	{
		//return false;
		window._BID[id][3]='1';
	}
}
catch(e)
{}
}

/*处理时间*/
function dotime(id,v){
	var $time = $("#time_"+id);
	var t=getLocTime(v);
	$time.html(t);

}

function dotime(id,v){
	var $time = $("#time_"+id);
	var t=getLocTime2(v);
	$time.html(t);

}
function getLocTime2(v)
{
	//var v = "2010-11-29 13:24:00";
	var arr = v.split(/[-|\x20|:]/);
	var d = new Date(parseInt(arr[0],10),parseInt(arr[1],10)-1,parseInt(arr[2],10),	parseInt(arr[3],10),parseInt(arr[4],10),parseInt(arr[5],10));
	var t = new Date();

	var dt = d.getTime();
	var tt = t.getTime();//毫秒数//1秒=1000毫秒
	var x = dt-tt;
	if(x<0) x=0; x = parseInt(x/100,10);

	var SeMilli = 10;
	var MinMilli = SeMilli * 60 ; //每分钟多少毫秒
	var HrMilli = MinMilli * 60;//每小时多少毫秒
	var DayMilli = HrMilli * 24 ;//

	x = x % DayMilli;
	var h = parseInt( x / HrMilli,10);
	var m = parseInt((x % HrMilli)/MinMilli,10);
	var s =  parseInt((x % MinMilli)/SeMilli,10);
	var ms =x % SeMilli;
	var str = Ft(h)+":"+Ft(m)+":"+Ft(s);//+" "+ Ft(ms);
	if(x>300)
	{
		str = Ft(h)+":"+Ft(m)+":"+Ft(s);
		return ('<font color="green">'+ str +'</font>');
	}	
	else if(x>0)//100
	{
		str = Ft(h)+":"+Ft(m)+":"+Ft(s) ;
		return ('<font color="red">'+ str +'</font>');
	}
	else if(t>0){	str = Ft(h)+":"+Ft(m)+":"+Ft(s) + ' <font style="background-color:#666;color:yellow;font-size:14px;valign:bottom;padding:3px 3px 2px 3px">'+ ms+'</font>';
		return ('<font color="red">'+ str +'</font>');
	}else{
		return ('<font color="red">即将成交</font>');
	}	
	
	
}
//+---------------------------------------------------
//|	js时间格式化
//+---------------------------------------------------
function getLocTime(t){
	if(t>60*60*24){
		//var d=Div(t,(60*60*24));
		var h=Div(t,(60*60));
		var i=Div(Mod(Mod(t,(60*60*24)),(60*60)),60);
		var s=Mod(Mod(Mod(t,(60*60*24)),(60*60)),60);
		return (Ft(h)+':'+Ft(i)+':'+Ft(s));
	}else if(t>60*60){
		var h=Div(t,(60*60));
		var i=Div(Mod(t,(60*60)),60);
		var s=Mod(Mod(t,(60*60)),60);
		return (Ft(h)+':'+Ft(i)+':'+Ft(s));
	}else if(t>60){
		var i=Div(t,60);
		var s=Mod(t,60);
		return ('00:'+Ft(i)+':'+Ft(s));
	}else if(t>30){
		//return ('<font color="green">00:00:'+Ft(t)+'</font>');
		return ('<font color="green">00:00:'+Ft(t) +'</font>');
	}else if(t>0){
		return ('<font color="red">00:00:'+Ft(t)+'</font>');
	}else{
		return ('<font color="red">即将成交</font>');
	}
}


/*处理游戏完成后的变化,统一处理*/
function dostopstyle(id){
	$("#time_"+id).text('--:--:--').attr('style','color:#a6a6a6');
	$("#bid_btn_"+id).removeClass('button-hilite');
	$("#bid_btn_"+id).addClass('button-disabled');
	$("#bid_btn_"+id).html('<span class="first-child"><button type="button">成 交</button></span>');
	//还有其它的后再加
}

/*处理节省,保价一现价*/
function dosave(id,saveprice,price){
	var v=saveprice-price;
	v="￥"+Ftmath(v);
	$("#save_"+id).text(v);
}


/*清理已经完成的拍卖*/
function clearbid(n){
	var ids=window.inibidjs.split(",");
	var tempvar=new Array();
	var k=0;
	for( var i=0; i<ids.length;i++)
	{
		if(n!=ids[i]){
			tempvar[k++]=ids[i];
		}
	}
	window.inibidjs=tempvar.join(',');//重新赋值
}


/*点击拍卖的操作*/
function bid(id){

	////加入判断如果完成了则不提示信息
	if($("#time_"+id).text()=='--:--:--'){
		showBidTip(id,'出价信息到达服务器时竞拍已经结束，下次请提早出价！');
		return false;
	}
	//QueueFactory.request({
	$.ajax({
		type: "GET",//"POST",
		timeout: _ajaxtimeout,
		url: APP+"/Bid/dobid",
		data: {"tid":id},
		success: function(msg)
		{
			//window.status = msg;
			////1正常,0操作失败,2没登陆,3值不够,4已出过价,5游戏已结束,6封盘
			if(msg==1){
				showBidTip(id,'<span style="color:#ff0000">您出价成功</span>');
			}else if(msg==0){
				//showBidTip(id,'您出价失败，请重试');
			}else if(msg==2){
				AjaxLoginBox();
				//showBidTip(id,'请先登录');
			}else if(msg==3){
				showBidTip(id,'您的余额不足，请充值!');//<a href="javascript:paycountnow();" title="充值，获取闪点">【马上充值】</a>');
			}else if(msg==4){
				var msg = "您已出价，无需重复。";

				showBidTip(id,'您已出价，无需重复。');
			}else if(msg==5){
				showBidTip(id,'商品已成交');
			}else if(msg==6){
				showBidTip(id,'现已经到达封盘时段（00:00 - 09:00），请于开盘时再竞拍');
			}else if(msg==7){
				showBidTip(id,'您的资金账号已被冻结，请与我们的客服联系！');
			}else if(msg==8){
				showBidTip(id,'您的用户账号已被冻结，请与我们的客服联系！');
				logout();//用户冻结之后马上退出
			}else if(msg==9){
				showBidTip(id,'已达到4周获得游戏封顶');
				delCookie('topboxopen');
				opentopbox();//控制打开个人获得的浮动层
			}else if(msg==10){
				showBidTip(id,'您已获得过商品，此为新人竞拍商品');
			}else if(msg==11){
				showBidTip(id,'您出价太快，请放松');
			}else if(msg==12){
				showBidTip(id,'此为新人竞拍商品，请先进行账户安全认证');
			}else if(msg==13){
				showBidTip(id,'检测点击频率太快，暂停出价30秒');
			}else if(msg==14){
				showBidTip(id,'您已设置分身进行竞拍，请取消或者等待分身出价结束后再操作！');
			}else if(msg==15){
				showBidTip(id,'您已达到出价次数的上限！');
			}else{
				//showBidTip(id,'出价信息到达服务器时竞拍已经结束，下次请提早出价！');
			}
		}

	});
}


function showBidTip(id,text){

	var msg = '<div style="display:block;font-size:14px;font-weight:bold;color:#888;line-height:40px;text-align:center;" ><center>'
	+ '<div style="border:#bbbbbb solid 1px;margin:10px;background-color:#fff">'
	+text
	+ '</div>'
	+'</center></div>';
	AddDialogbox("Ajax_User_Auction","",20021,250,"Ajax_User_Auction_screenMask",20000,true,msg,"竞拍提示");

	return ;
	//alert(text);
	if($("#jtContent")==null)
		
	jt($("#"+id).parent().parent().attr("id"));
	$("#jtContent").html(text);

	function showJT(){
		$("#jt").fadeOut("fast",function(){
			$(this).remove();
		});
	}

	var tt = window.setTimeout(showJT, 1500);
	$("#jt").hover(
	function(){
		window.clearTimeout(tt);
	},
	function(){
		tt = window.setTimeout(showJT, 1000);
	});

	$("#jt").blur(function(){
		showJT();
	});
}


/*点击保价后的操作*/
function buynow(id){
	var buyId = "buy_"+id;
	QueueFactory.request({
	//$.ajax({
		type:"POST",
		url:APP+"/Auction/dobid_temp/"+id,//先用模拟数据
		//url:APP+"/Auction/buynow/tid/"+id,
		success: function(msg){
			////0正常,1操作失败,2没登陆
			if(msg==0){
				showBidTip(buyId,'保价购买成功,请耐心等待,我们将会在本次竞拍结束后通知您,<br>在这个过程中你仍然可以参与本次竞拍,以争取获得更低的价格!');
			}else if(msg==1){
				showBidTip(buyId,'出价失败,请重试');
			}else if(msg==2){
				showBidTip(buyId,'请先登录,后再进行保价购买!');
			}
		}
	});
}


function showbidtips(id,tex){
	var target='bidtips_'+id;
	$('#'+target).html(tex);
	setTimeout("closetips2('"+target+"')", 2000);//清空提示信息
}

function setMirror(tid){
	var startprice = $("#mr_startprice").val();
	var settingcount = $("#mr_settingcount").val();
	$("#mr_bidcount").val("0");

	$.post(APP+'/Bid/setdaemon',
	{"tid":tid,
	"startprice":startprice,
	"settingcount":settingcount},
	function(data){
		if(data=='9'){
			alert('分身启动成功!');
			$("#mr_stopbid").removeClass("showButton");
			$("#mr_startbid").addClass("showButton");
		}else{
			alert('启动分身失败!');
		}
	});
}

///////////////////////////////////////////////////////////////////////////////////
//单独页面的js操作
////////////////////////////////////////////////////////////////////////////////////

//控制活动拍卖页的ajax的开关,n为类型,m为状态,fixed
function ctrlauction(n) {

	if(n==0){
		window.chat_status=0;
		window.self_status=0;
		window.auto_status=0;
		if(window.history_status==0){
			window.history_status=1;
			up_history();//开始
		}
	}else if(n==1){
		window.chat_status=0;
		window.auto_status=0;
		window.history_status=0;
		if(window.self_status==0){
			window.self_status=1;
			up_self();//开始
		}
	}else if(n==2){
		window.self_status=0;
		window.auto_status=0;
		window.history_status=0;
		if(window.chat_status==0){
			window.chat_status=1;
			up_chat();//开始
		}
	}else if(n==3){
		window.chat_status=0;
		window.self_status=0;
		window.history_status=0;
		if(window.auto_status==0){
			window.auto_status=1;
			up_auto();//开始
		}
	}

}


//更新历史拍卖记录
function up_history() {
	var tid=window.game_tid;
	var bidNo=window.inibidjs;
	if(window.history_status==1 && bidNo!=''){
		//$.queueAjax({
		QueueFactory.request({
			type: "POST",
			dataType: "json",
			timeout: _ajaxtimeout,//超时
			url: APP+"/Auction/ajaxbidhistory_json/tid/"+tid,
			"data":"",
			cache:false,
			success: function(data){
					update_all_bidhistorylist(data.all,1);
				}
		});
		//$.getJSON(APP+"/Auction/ajaxbidhistory_json/tid/"+tid, function(data){
		//	update_all_bidhistorylist(data.all,1);
		//});
		window.setTimeout("up_history()",3000);//开始
	}
}

//更新分身记录
function up_auto() {
	var tid=window.game_tid;
	if(window.auto_status==1){
		SetAutobid();
		window.setTimeout("up_auto()",3000);//开始[分身以3秒计]
	}
}


//更新个人拍卖统计
function up_self() {
	var tid=window.game_tid;
	var islogin=getCookie('islogin');
	var js_saveprice=$('#js_saveprice').val();
	if(window.self_status==1 && islogin){
		$.getJSON(APP+"/Auction/ajaxmycount/tid/"+tid,function(data){
			//alert(data);
			
			//data.self_point_a=530;
			//data.self_point_b=330;
			//data.self_price_point_a = 8;
			
			$('#self_point_a').html(data.self_point_a+"点");
			$('#self_point_b').html(data.self_point_b+"点");
			//$('#self_price_point_a').html("当前价:&yen;"+data.self_price_point_a);//当前价
			$('#self_price_pay').html("&yen;"+(js_saveprice*1.0 - data.self_point_a/100.0));//最终计算结果(差价)
			
			//self_bidcount
			//$('#self_bidcount').html("&yen;"+(parseInt(data.self_point_a,10) + parseInt(data.self_point_b,10))/100.0);//出价总数,返点不做保价用
			//$('#self_bidcount').html("&yen;"+(data.self_point_a/100.0 + data.self_point_b/100.0));//出价总数,返点不做保价用				
			$('#self_bidcount').html(""+(data.self_point_a*1 + data.self_point_b*1));//出价总数,返点不做保价用					
				//window.status = data.self_point_a + "|" + data.self_point_b;
			//$('#self_price_point_a2').html("&yen;"+(data.self_point_a)/100.0);//返点点不做保价用 //0次
			$('#self_price_point_a2').html("&yen;"+(data.self_point_a)/100.0);//返点点不做保价用 //0次	
		});
		window.setTimeout("up_self()",3000);//开始
	}else{
		$('#self_point_a').html("0点");
		$('#self_point_b').html("0点");
		$('#self_price_point_a').html("&yen;0");
		$('#self_price_pay').html(js_saveprice);
		
		$('#self_bidcount').html("&yen;0.00");
		$('#self_price_point_a2').html("&yen;0.00");
	}
}

//开始更新用户竞拍记录
function update_all_bidhistorylist(d,n) {
	//var n=1;//先采用全部刷新的方式
	var tid=window.game_tid;
	var data_all=d;
	var htmlvar;
	var html_header = '<table cellspacing="0" cellpadding="0" border="0" class="n_bidusers"><tr><th class="l1">出价人</th><th class="l2">价格</th><th class="l3">出价时间</th></tr>';
	//var html_header='<table class="chart" style="width:98%"><thead style="background-color:#FFF7D6"><th width="30%">ID</th><th width="33%">IP</th><th width="15%">类型</th><th width="22%">出价</th></thead>';
	var html_footer='</table>';//
		/*
		+ '<div class="pages cb" style="font-size:12px;"> '
		+ '<a jtcontent="由于网络原因，竞拍记录有可能不同步，请点击【马上整理出价记录!】" jtwidth="150" jttitle="提示" id="bidalllisttips" href="javascript:void(0);" '
		+ 'onclick="up_history();">[马上整理出价记录!]</a></div>';	*/
	var html_body='';
	var item_num = 0;
	var item_type = '';
	//更新所有记录
	$.each(data_all, function(i,item){
		if(i>9) return false; 
		if(i==0){
			window.r_id = item.id;
		}
		item_num++;
		if(item.bidtype==1){
			item_type = '分身';//0
		}else{
			item_type = '手动';//1
		}
		//html_body+='<tr style="border-bottom:1px solid #000000;background-color:#dedede" title="拍友来自:'+item.locate+',出价时间:'+item.bidtime+'" ><td>'
				 //+ '<a href="'+APP+'/User/page/mid/'+item.mid+'" target="_blank" title="去看看'+item.nickname+'">'+item.nickname+'</a>'
		//		+ item.nickname+''
		//		 + '</td><td class="f10">'+item.ip+'</td><td>'+item_type+'</td><td class="f10">&yen;'+item.price+'</td></tr>';
		
		html_body+='    <tr><td class="l1"><a class="noreturn n_u1">'+ item.nickname +'</a></td><td class="l2">¥'+ item.price +'</td>'
     			+ '<td class="l3">' + item.bidtime + '</td></tr>';
		

	});

	if(n==1){
		$('#bidHistoryList').html(html_header+html_body+html_footer);
		showTip("bidalllisttips");
	}else{
		if($("#bidHistoryList table tr").size()>7){
			for(i=0;i<item_num;i++){
				$("#bidHistoryList table tr:last").remove();
			}
		}
		$("#bidHistoryList table").prepend(html_body);
	}
}




///////////////////////////////////////////////////////////////////////////////////
//CHAT的js操作
////////////////////////////////////////////////////////////////////////////////////

var pClass = 'message_a';

//发送聊天表单的函数
function sendchat(){
	var islogin=getCookie('islogin');
	if(islogin==1){
		if($("#msg").val()!=''){
			$.post(APP+"/Chat/add",{
				tid:game_tid,
				msg:$("#msg").val(),
				mid:$("#usermid").val(),
				username:$("#usernickname").val(),
				ip:$("#ip").val(),
				time:window.timestamp
			}, function(xml) {
				//清空信息文本框内容
				$("#msg").val("");
				//调用解析xml的函数
				addMessages(xml);
			});
		}
	}
	return false; //阻止表单提交
}

//更新信息函数，每隔一定时间去服务端读取数据//4秒
function up_chat(){
	var tid=window.game_tid;
	var islogin=getCookie('islogin');
	if(islogin!=1){
		$("#msg").attr('disabled','disabled').attr('value','请登录后刷新页面!');
		$("#sendmsg").attr('disabled','disabled');
	}else{
		$("#msg").removeAttr('disabled');
		$("#sendmsg").removeAttr('disabled');
	}
	if(window.chat_status==1){
		var uptime=window.timestamp;

		$.post(APP+"/Chat/get/",{
			time:uptime,
			tid:tid
		}, function(xml) {
			//移除掉等待提示
			$("#chatloading").remove();
			//alert(xml);
			//调用解析xml的函数
			addMessages(xml);
		});
		window.setTimeout("up_chat()",4000);//开始
	}

}

//解析xml文档函数，把数据显示到页面上
function addMessages(xml) {
	//如果状态为2，则终止
	var cClass;
	if($("status",xml).text() == "2") return;
	//更新时间戳
	window.timestamp= $("time",xml).text();
	//$.each循环数据
	$("message",xml).each(function(n,i) {
		var username = $("username",this).text(); //发布者
		var mid = $("mid",this).text(); //发布者
		var time = $("time",this).text(); //发布者
		var ip = $("ip",this).text(); //发布者
		var ptime = $("ptime",this).text(); //发布者
		var content = $("text",this).text();  //内容
		if(pClass == 'message_a'){
			cClass = "message_b";
			pClass = "message_b";
		}else{
			cClass = "message_a";
			pClass = "message_a";
		}
		if(mid=="MTg2YTg="){
			cClass = "saapaaAdmin";
		}

		var htmlcode = '<tr><td class="'+cClass+'">'+
		'<p><span class="userName"><a target="_blank;" href="http://www.saapaa.com/User/page/mid/'+mid+'" title="去看看'+username+'">'+username+'</a></span>'+
		'<span class="f10">'+ptime+'</span></p>'+
		'<p class="userMessage">'+toBreakWord(content,30)+'</p>'+
		'</td></tr>';
		//alert(htmlcode);
		$("#chatList").append(htmlcode); //添加到文档中
		$("#chatwindow").get(0).scrollTop=$("#chatList").get(0).scrollHeight;//流动到最后

	});
	pClass = cClass;
}

///////////////////////////////////////////////////////////////////////////////////
//用户提交评论的操作
////////////////////////////////////////////////////////////////////////////////////
$(document).ready(function(){

	$.formValidator.initConfig({
		formid:"commentsform",
		validatorgroup:"commentsform",
		autotip:true
	});


	$("#commentContent").formValidator({
		validatorgroup:"commentsform",
		empty:false,
		tipid:'commentContentTips',
		onshow:"请输入评论内容",
		onfocus:"评论字数请介于10到200之间!",
		oncorrect:"正确"
	}).inputValidator({
		min:10,
		max:200,
		onerror:"评论字数请介于10到200之间!"
	});

	$("#comments_add").click(function(){
		var islogin=getCookie('islogin');
		var pass=$.formValidator.pageIsValid('commentsform');
		if(islogin){
			if(pass){
				var queryString = $('#commentsform').formSerialize();
				$.post(APP+"/Auction/productdiscussadd", queryString,function(msg){
					if(msg=='0'){ //先保留msg这个值以备以后使用
						showtips('评论信息成功!','ajaxTips',1);
						simajax(APP+'/Auction/ajax_getproductdiscuss/pid/'+game_pid,'commentslist');//刷新
					}else{
						showtips(msg,'ajaxTips',2);
					}
				});
				$('#commentContent').val('');
			}
		}else{
			showtips('请先登陆,再评论!','ajaxTips',2);
		}
	});

	$("#comments_add").mouseover(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).text('请先登陆,再评论!');
		}
	});
	$("#comments_add").mouseout(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).text('写完了，发送');
		}
	});


	///////////////////////////////////////////////////////////////////////////////////
	//用户提交用户外部首页评论的操作
	////////////////////////////////////////////////////////////////////////////////////


	$("#mbcomments_add").click(function(){
		var islogin=getCookie('islogin');
		var pass=$.formValidator.pageIsValid('commentsform');
		var tid=$("#tid").val();
		//alert(mytid);
		if(islogin){
			if(pass){
				var queryString = $('#commentsform').formSerialize();
				//alert(queryString);
				$.post(APP+"/User/mbdiscussadd", queryString,function(msg){
					if(msg=='0'){ //先保留msg这个值以备以后使用
						showtips('评论信息成功!','ajaxTips',1);
						simajax(APP+'/User/mbdiscuss/tid/'+tid,'commentslist');//刷新
					}else{
						showtips(msg,'ajaxTips',2);
					}
				});
				$('#commentContent').val('');
			}
		}else{
			showtips('请先登陆,再评论!','ajaxTips',2);
		}
	});

	$("#mbcomments_add").mouseover(function(){
		//alert($(this).attr("id"));
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).text('请先登陆,再评论!');
		}

	});
	$("#mbcomments_add").mouseout(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).text('写完了，发送');
		}
	});



	///////////////////////////////////////////////////////////////////////////////////
	//用户发送一条站内信息的操作
	////////////////////////////////////////////////////////////////////////////////////


	$("#sendonemsg").click(function(){
		var islogin=getCookie('islogin');
		var mid=$(this).attr("name");
		if(islogin){
			addDialogbox("#mbsendonemsg","发送站内信息",10001,505);
			//quitScreenMask();
			$.ajax({
				url: APP+"/User/mbsendmsg/mid/"+mid,
				cache: false,
				success: function(msg){
					$("#mbsendonemsg .dialogboxContent").prepend(msg);
				}
			});
		}else{
			$(this).text('请先登陆!');
		}
	});

	$("#sendonemsg").mouseover(function(){
		//alert($(this).attr("id"));
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).text('请先登陆!');
		}
	});
	$("#sendonemsg").mouseout(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).text('给TA留下一句话');
		}
	});
});

///////////////////////////////////////////////////////////////////////////////////
//品牌分类的js操作
////////////////////////////////////////////////////////////////////////////////////
//品牌分类
function categories()
{
	//索引大于5的li, 且不包括最后一个li, 筛选结果: 是从第6 至 倒数第2  :gt(6):not(:last)
	var $categories = $("#brandCategories li");
	var $categoriesLi = $("#brandCategories ul li");

	$categories.hide();

	$("#more").click(function(){
		//以$categories的可见性来判断是否显示
		if($categories.is(":visible")){
			$categories.hide();
			$(this).text("展开全部品牌");
		}else{
			$categories.show();
			$(this).text("隐藏显示品牌");
		}
		return false;
	}).focus(function(){
		$(this).blur();
	});
}

///////////////////////////////////////////////////////////////////////////////////
//分身的js操作
////////////////////////////////////////////////////////////////////////////////////
/* 初始化分身的变量 */
function iniautobid()
{

	//分身设置按钮
	$("#mr_startbid").mouseover(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).attr("value",'登录');
		}
	});
	$("#mr_startbid").mouseout(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).attr("value",'开始');
		}
	});
	$("#mr_startbid").click(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			loadloginbox();
		}else{
			setdaemon();
		}
	});

	//分身设置按钮
	$("#mr_stopbid").mouseover(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).attr("value",'登录');
		}
	});
	$("#mr_stopbid").mouseout(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			$(this).attr("value",'取消');
		}
	});
	$("#mr_stopbid").click(function(){
		var islogin=getCookie('islogin');
		if(!islogin){
			loadloginbox();
		}else{
			unsetdaemon();
		}
	});
}

//分身初始化操作
function SetAutobid()
{
	var tid=window.game_tid;
	var islogin=getCookie('islogin');
	if(!islogin){
		$("#mr_startbid").show();//开始的按键
		$("#mr_stopbid").hide();//取消的按键
		autosetform(0);//0为开始设计disable,1为设计完enable
		return;
	}else{
		$.post(APP+"/Bid/daemon", {"tid":tid},function(dt){
			//alert(msg);
			if(dt=='0'){
				window.auto_id=0;//赋值
				$("#mr_startbid").show();//开始的按键
				$("#mr_stopbid").hide();//取消的按键
				autosetform(1);//0为开始设计disable,1为设计完enable
				if(window.auto_id>0){
					reSetAutobid();//分身到最后一次操作后回传确认一下
				}
			}else{
				window.auto_id=dt.id;//赋值
				$("#mr_startprice").val(dt.startprice);//开始的按键
				$("#mr_settingcount").val(dt.settingcount);//开始的按键
				$("#mr_bidcount").text(dt.bidcount);//开始的按键
				if(window.auto_timer==0){
					window.auto_timer=1;//已运行过
					dostyle_mr_startbid();
				}
			}
		},'json');
	}
}

//分身到最后一次操作后回传确认一下
function reSetAutobid()
{
	var tid=window.game_tid;
	var islogin=getCookie('islogin');
	if(!islogin){
		$("#mr_startbid").show();//开始的按键
		$("#mr_stopbid").hide();//取消的按键
		autosetform(0);//0为开始设计disable,1为设计完enable
		return;
	}else{
		$.post(APP+"/Bid/daemon", {"tid":tid,"flag":1},function(dt){
			$("#mr_startprice").val(dt.startprice);//开始的按键
			$("#mr_settingcount").val(dt.settingcount);//开始的按键
			$("#mr_bidcount").text(dt.bidcount);//开始的按键
			window.auto_status=2;//设置了2则不再更新
		},'json');
	}
}


//设置分身
function setdaemon(){
	var tid=window.game_tid;
	var startprice=$("#mr_startprice").val();
	var settingcount=$("#mr_settingcount").val();
	var nowprice=(window._BID[id][3])?window._BID[tid][3]:"";//ZD ADD 2010-09-04
	if(startprice<nowprice){
		alert('价格不能小于现价!');
		return;
	}
	$.post(APP+"/Bid/setdaemon",
	{"tid":tid,"startprice":startprice,"settingcount":settingcount},
	function(msg){
		//alert(msg);
		if(msg==0){
			alert('请登陆后再试!');
		}else if(msg==1){
			alert('超出设置次数上限!');
		}else if(msg==2){
			alert('参数错误!');
		}else if(msg==4){
			alert('你也达到封顶!');
		}else if(msg==7){
			alert('资金已冻结!')
		}else if(msg==8){
			alert('会员已冻结!');
		}else if(msg==9){
			dostyle_mr_startbid();
		}else{

		}

	});
}

//取消分身
function unsetdaemon(){
	var tid=window.game_tid;
	var id=window.auto_id;
	$.post(APP+"/Bid/disposedaemon",
	{"id":id},
	function(msg){
		if(msg==0){
			alert('请登陆后再试!');
		}else if(msg==1){
			alert('检查出错!');
		}else if(msg==2){
			alert('更新出错!');
		}else if(msg==3){
			alert('未到取消时间!');
		}else if(msg==9){
			dostyle_mr_stopbid();
		}else{

		}

	});
}

//开始分身的操作,显示
function dostyle_mr_startbid()
{
	var secs = 9;
	$("#mr_startbid").hide();//开始的按键
	$("#mr_stopbid").attr("disabled","disabled");
	$("#mr_stopbid").attr("value","[" + secs + "秒]");
	$("#mr_stopbid").show();//取消的按键
	autosetform(0);//显示样式disable
	for(i = 1; i <= secs; i++)
	{
		window.setTimeout("UpdateTime(" + i + "," + secs + ",'mr_stopbid')", i * 1000);
	}
	window.setTimeout("UpdateTimeOn('mr_stopbid','取消')", secs * 1000);
}

//取消分身的操作,显示
function dostyle_mr_stopbid()
{
	var secs = 9;
	$("#mr_stopbid").hide();//取消的按键
	$("#mr_startbid").attr("disabled","disabled");
	$("#mr_startbid").attr("value","[" + secs + "秒]");
	$("#mr_startbid").show();//开始的按键
	for(i = 1; i <= secs; i++)
	{
		window.setTimeout("UpdateTime(" + i + "," + secs + ",'mr_startbid')", i * 1000);
	}
	window.setTimeout("UpdateTimeOn('mr_startbid','开始')", secs * 1000);
	autosetform(1);//显示样式enable
}

//更新按钮的状态,显示时间倒数
function UpdateTime(num,se,toid)
{
	$("#"+toid).attr("value","[" + (se-num) + "秒]");
	//alert("#"+toid+"[" + (se-num) + "秒]");
}

//更新按钮的状态
function UpdateTimeOn(toid,v)
{
	$("#"+toid).attr("value",v);
	$("#"+toid).removeAttr("disabled");
}

function autosetform(n)//0为开始设计disable,1为设计完enable
{
	if(n==0){
		$("#mr_startprice").attr("disabled","disabled");
		$("#mr_settingcount").attr("disabled","disabled");

	}
	if(n==1){
		$("#mr_startprice").removeAttr("disabled");
		$("#mr_settingcount").removeAttr("disabled");

	}
}

